/**
 * classe SaisieVoitureException (Exception)
 * @author Matthias Colin
 * @version 1.0 (9/06/2009)
 */

class SaisieVoitureException extends Exception {
	// autre exception/erreur à la source de l'erreur de saisie
	private Throwable cause;

	/**
	 * constructeur
	 * @param message le message d'information
	 * @param cause l'exception/erreur à la source du problème de saisie
	 */
	public SaisieVoitureException(String message, Throwable cause) {
		super(message);
		this.cause = cause;
	}
}

