/**
 * classe TestVoitureVoitureSport (exo 2.4)
 * 	-- non demandée --
 * @author Matthias Colin
 * @version 1.0 (9/06/2009)
 */

import java.awt.Color;

public class TestVoitureVoitureSport {

	private static void extrait1() {
		Voiture v;
		Voiture vs;
		v = new Voiture(Color.RED, "","");
		vs = v;
		v.accelerer();
		vs.accelerer();
		// OK :
		//		accélération d'une voiture normale
		//		accélération d'une voiture normale

	}

	private static void extrait2() {
		Voiture v;
		Voiture vs;
		vs = new VoitureSport(Color.BLUE,"","",0);
		v = vs;
		v.accelerer();
		vs.accelerer();
		// OK :
		//		accélération d'une voiture de sport
		//		accélération d'une voiture de sport
	}

	private static void extrait3() {
		Voiture v;
		Voiture vs;
		v = new Voiture(Color.RED, "","");
		vs = (VoitureSport) v;
		v.accelerer();
		vs.accelerer();
		// Compil OK
		// Execution : PB
		//		Exception in thread "main" java.lang.ClassCastException: Voiture cannot be cast to VoitureSport
		//	at TestVoitureVoitureSport.extrait3(Unknown Source)
		//	at TestVoitureVoitureSport.main(Unknown Source)
	}

	private static void extrait4() {
		Voiture v;
		Voiture vs;
		vs = new VoitureSport(Color.BLUE,"","",0);
		v = (Voiture) vs;
		v.accelerer();
		vs.accelerer();
		// OK :
		//		accélération d'une voiture de sport
		//		accélération d'une voiture de sport
	}

	private static void extrait5() {
		Voiture v;
		Voiture vs;
		v = new VoitureSport(Color.BLUE,"","",0);
		vs = v;
		v.accelerer();
		vs.accelerer();
		// OK :
		//		accélération d'une voiture de sport
		//		accélération d'une voiture de sport
	}

	private static void extrait6() {
		Voiture v;
		Voiture vs;
		vs = new Voiture(Color.RED, "","");
		v = vs;
		v.accelerer();
		vs.accelerer();
		// OK :
		//		accélération d'une voiture normale
		//		accélération d'une voiture normale
	}

	private static void extrait7() {
		Voiture v;
		Voiture vs;
		v = new VoitureSport(Color.BLUE,"","",0);
		vs = (VoitureSport) v;
		v.accelerer();
		vs.accelerer();
		// OK :
		//		accélération d'une voiture de sport
		//		accélération d'une voiture de sport
	}

	private static void extrait8() {
		Voiture v;
		Voiture vs;
		vs = new Voiture(Color.RED, "","");
		v = (Voiture) vs;
		v.accelerer();
		vs.accelerer();
		// OK :
		//		accélération d'une voiture normale
		//		accélération d'une voiture normale
	}

	public static void main(String[] args) {
		extrait1();
		extrait2();
//		decommenter ligne suivante pour voir pb d'exécution
//		extrait3();
		extrait4();
		extrait5();
		extrait6();
		extrait7();
		extrait8();
	}
}
